package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhVideoDataStat;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhVideoDataStatExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformGzhVideoDataStatMapper {
    long countByExample(ContentPlatformGzhVideoDataStatExample example);

    int deleteByExample(ContentPlatformGzhVideoDataStatExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformGzhVideoDataStat record);

    int insertSelective(ContentPlatformGzhVideoDataStat record);

    List<ContentPlatformGzhVideoDataStat> selectByExample(ContentPlatformGzhVideoDataStatExample example);

    ContentPlatformGzhVideoDataStat selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformGzhVideoDataStat record, @Param("example") ContentPlatformGzhVideoDataStatExample example);

    int updateByExample(@Param("record") ContentPlatformGzhVideoDataStat record, @Param("example") ContentPlatformGzhVideoDataStatExample example);

    int updateByPrimaryKeySelective(ContentPlatformGzhVideoDataStat record);

    int updateByPrimaryKey(ContentPlatformGzhVideoDataStat record);
}